<?php
function techine_css() {
	$parent_style = 'conceptly-parent-style';
	wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'techine-style', get_stylesheet_uri(), array( $parent_style ));
	
	wp_enqueue_style('techine-color-default',get_stylesheet_directory_uri() .'/assets/css/colors/default.css');
	wp_dequeue_style('conceptly-color');
	
	wp_enqueue_style('techine-responsive',get_stylesheet_directory_uri().'/assets/css/responsive.css');
	wp_dequeue_style('conceptly-responsive');

}
add_action( 'wp_enqueue_scripts', 'techine_css',999);
   	

function techine_setup()	{	

	add_theme_support( 'custom-header', apply_filters( 'techine_custom_header_args', array(
		'default-image'          => '',
		'default-text-color'     => 'ffffff',
		'width'                  => 2000,
		'height'                 => 200,
		'flex-height'            => true,
		'wp-head-callback'       => 'conceptly_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'techine_setup' );


function techine_remove_parent_setting( $wp_customize ) {
	$wp_customize->remove_control('hide_show_breadcrumb');
}
add_action( 'customize_register', 'techine_remove_parent_setting',99 );

require( get_stylesheet_directory() . '/template-parts/sections/section-blog.php');


/**
 * Called all the Customize file.
 */
require( get_stylesheet_directory() . '/inc/customize/techine-premium.php');


/**
 * Import Options From Parent Theme
 *
 */
function techine_parent_theme_options() {
	$conceptly_mods = get_option( 'theme_mods_conceptly' );
	if ( ! empty( $conceptly_mods ) ) {
		foreach ( $conceptly_mods as $conceptly_mod_k => $conceptly_mod_v ) {
			set_theme_mod( $conceptly_mod_k, $conceptly_mod_v );
		}
	}
}
add_action( 'after_switch_theme', 'techine_parent_theme_options' );